# informace o novinkách

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /versionInformation:
    get:
      summary: informace o novinkách
      deprecated: false
      description: >+
        **Význam** a použití

        Metoda **versionInformation** slouží k získání informací o verzích API a
        novinkách či změnách, které byly v jednotlivých verzích zavedeny. Díky
        tomu může integrátor zjistit:

        - Jaká je aktuální (nejnovější) verze API.

        - Jaké změny a novinky daná verze přináší (např. přidané metody,
        upravené parametry, opravy chyb).

        - Jaké jsou předchozí verze a co v nich bylo odlišné oproti současnému
        stavu.

        - Jaké jsou plánované odstávky a další důležité informace vztahující se
        k (nejen) CPL.

      tags:
        - API Metody/VersionInformation
        - VersionInformation
      parameters:
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JK8B5EJD43JG3CXC64DZ7160:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Business.Dto.VersionInformation.VersionInformationDto
                      x-apidog-overrides:
                        language: &ref_0
                          type: string
                          description: Jazyk
                          nullable: true
                        title: &ref_1
                          type: string
                          description: Název
                          nullable: true
                        description: &ref_2
                          type: string
                          description: Popis toho co se v nové verzi změnilo.
                          nullable: true
                        informationType: &ref_3
                          type: string
                          description: Typ informace
                          nullable: true
                        priority: &ref_4
                          type: integer
                          format: int32
                          description: Priorita zprávy
                        version: &ref_5
                          type: string
                          description: Verze
                          nullable: true
                        validFrom: &ref_6
                          type: string
                          format: date-time
                          description: Platné -Od
                          nullable: true
                        validTo: &ref_7
                          type: string
                          format: date-time
                          description: Platné -Do
                          nullable: true
                        created: &ref_8
                          type: string
                          format: date-time
                          description: Vytvořeno
                      required: []
                  x-apidog-orders:
                    - 01JK8B5EJD43JG3CXC64DZ7160
                  properties:
                    language: *ref_0
                    title: *ref_1
                    description: *ref_2
                    url:
                      type: string
                      nullable: true
                    informationType: *ref_3
                    priority: *ref_4
                    version: *ref_5
                    validFrom: *ref_6
                    validTo: *ref_7
                    created: *ref_8
                  x-apidog-ignore-properties:
                    - language
                    - title
                    - description
                    - url
                    - informationType
                    - priority
                    - version
                    - validFrom
                    - validTo
                    - created
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/VersionInformation
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465920-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Business.Dto.VersionInformation.VersionInformationDto:
      type: object
      properties:
        language:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        informationType:
          type: string
          nullable: true
        priority:
          type: integer
          format: int32
        version:
          type: string
          nullable: true
        validFrom:
          type: string
          format: date-time
          nullable: true
        validTo:
          type: string
          format: date-time
          nullable: true
        created:
          type: string
          format: date-time
      additionalProperties: false
      x-apidog-orders:
        - language
        - title
        - description
        - url
        - informationType
        - priority
        - version
        - validFrom
        - validTo
        - created
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
